/*******************************************************************************
 * Copyright (c) 2011 McCOMSoft. All rights reserved.
 *******************************************************************************/
import java.rmi.RemoteException;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.tempuri.NumberService.MathServiceSoapProxy;

public class SWTNumberTester {

	protected Shell shell;

	/**
	 * Launch the application.
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		try {
			SWTNumberTester window = new SWTNumberTester();
			window.open();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Open the window.
	 */
	public void open() {
		Display display = Display.getDefault();
		createContents();
		shell.open();
		shell.layout();
		while (!shell.isDisposed()) {
			if (!display.readAndDispatch()) {
				display.sleep();
			}
		}
	}

	/**
	 * Create contents of the window.
	 */
	protected void createContents() {
		shell = new Shell();
		shell.setSize(450, 300);
		shell.setText("SWT Application");

		final Label label = new Label(shell, SWT.NONE);
		label.setBounds(96, 52, 139, 50);

		Button btnDoit = new Button(shell, SWT.NONE);
		btnDoit.addSelectionListener(new SelectionAdapter() {
			@Override
			public void widgetSelected(SelectionEvent e) {
				int iRet = -1;
				MathServiceSoapProxy svc = new MathServiceSoapProxy();
				try {
					iRet = svc.addNumbers(3, 2);
					label.setText(String.valueOf(iRet));

				} catch (RemoteException e1) {
					e1.printStackTrace();
					label.setText(e1.getLocalizedMessage());
				}
			}
		});
		btnDoit.setBounds(154, 160, 81, 30);
		btnDoit.setText("DoIt");

	}
}
